Package org.jfree.layouting

## Interface LayoutProcess

- All Known Implementing Classes:
    `AbstractLayoutProcess`, `ChainingLayoutProcess`, `DefaultLayoutProcess`

      public interface LayoutProcess

  Creation-Date: 05.12.2005, 18:03:25
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DocumentContext` | `getDocumentContext​()` | The document context holds global information, like the used stylesheets.
    `InputFeed` | `getInputFeed​()` |
    `Normalizer` | `getNormalizer​()` |
    `OutputProcessorMetaData` | `getOutputMetaData​()` |
    `OutputProcessor` | `getOutputProcessor​()` |
    `org.pentaho.reporting.libraries.resourceloader.ResourceManager` | `getResourceManager​()` |
    `StyleResolver` | `getStyleResolver​()` |
    `boolean` | `isPagebreakEncountered​()` | A flag that indicates, whether one or more pagebreak have been encountered during the last operation.
    `void` | `pageBreakEncountered​(CSSValue pageName, PseudoPage[] pseudoPages)` |
    `LayoutProcessState` | `saveState​()` |

- - ### Method Detail

    - #### getInputFeed

          InputFeed getInputFeed​()

    - #### getDocumentContext

          DocumentContext getDocumentContext​()

      The document context holds global information, like the used stylesheets. It also holds the caches for loading external contents.
      Returns:
        the document context.

    - #### getOutputMetaData

          OutputProcessorMetaData getOutputMetaData​()

    - #### getOutputProcessor

          OutputProcessor getOutputProcessor​()

    - #### getResourceManager

          org.pentaho.reporting.libraries.resourceloader.ResourceManager getResourceManager​()

    - #### pageBreakEncountered

          void pageBreakEncountered​(CSSValue pageName,
                                    PseudoPage[] pseudoPages)
                             throws NormalizationException

      Throws:
        `NormalizationException`

    - #### isPagebreakEncountered

          boolean isPagebreakEncountered​()

      A flag that indicates, whether one or more pagebreak have been encountered during the last operation. The flag does not necessarily state that the pagebreak(s) have been triggered by the last operation, it can as well be a delayed pagebreak indication due to caching or layouting effects (as it happens with pending or moved content).
      Returns:
        true, if a pagebreak as been encountered somewhere in the past, false otherwise.

    - #### saveState

          LayoutProcessState saveState​()
                                throws StateException

      Throws:
        `StateException`

    - #### getStyleResolver

          StyleResolver getStyleResolver​()

    - #### getNormalizer

          Normalizer getNormalizer​()